
//
// Copyright 2004 Eishin Matsui. All rights reserved.
//
//     first release day : 2004/May/23
//

/* bxCoreGbl.cpp */


#include "bxCoreGbl.h"
#include "bxCoreGblSub.h"


class BxCoreGblLocal {
public:
	static BxCoreGbl                   gBxCoreGbl;
	static NameBeziex::FuncGBxCoreGbl  gFuncGBxCoreGbl;

public:
	static BxCoreGbl*
	DefaultGBxCoreGbl();
};


BxCoreGbl                   BxCoreGblLocal::gBxCoreGbl;
NameBeziex::FuncGBxCoreGbl  BxCoreGblLocal::gFuncGBxCoreGbl = BxCoreGblLocal::DefaultGBxCoreGbl;


// ---

BxCoreGbl*  NameBeziex::
GBxCoreGbl()
{
	return ( BxCoreGblLocal::gFuncGBxCoreGbl )();
}


void  NameBeziex::
DefaultGBxCoreGbl()
{
	BxCoreGblLocal::gFuncGBxCoreGbl = BxCoreGblLocal::DefaultGBxCoreGbl;
}

void  NameBeziex::
OptionGBxCoreGbl( FuncGBxCoreGbl func )
{
	BxCoreGblLocal::gFuncGBxCoreGbl = func;
}


// ---

BxCoreGbl*  BxCoreGblLocal::
DefaultGBxCoreGbl()
{
	return &gBxCoreGbl;
}


////////
