
//
// Copyright 2004 Eishin Matsui. All rights reserved.
//
//     first release day : 2004/May/23
//

/* bxCoreGblSub.cpp */


#include "bxCoreGbl.h"
#include "bxCoreGblSub.h"


BxCoreGblInfo::BxCoreGblInfo()
{
	fCore    = new BxCore;
	fCoreSub = new BxCoreSub;	// <--
	fOrgTo3D = new BxOrgTo3D;
	fRect    = new BxRect;
	fTri     = new BxTri;
	fEdge    = new BxEdge;
	fSurface = new BxSurface;
	fVector  = new BxVector;
}

BxCoreGblInfo::~BxCoreGblInfo()
{
	delete fCore;
	delete fCoreSub;		// <--
	delete fOrgTo3D;
	delete fRect;
	delete fTri;
	delete fEdge;
	delete fSurface;
	delete fVector;
}


BxCore*     NameBeziex::GBxCore()     { return GBxCoreGbl()->fInfo->fCore;    }
BxCoreSub*  NameBeziex::GBxCoreSub()  { return GBxCoreGbl()->fInfo->fCoreSub; }		// <--
BxOrgTo3D*  NameBeziex::GBxOrgTo3D()  { return GBxCoreGbl()->fInfo->fOrgTo3D; }
BxRect*     NameBeziex::GBxRect()     { return GBxCoreGbl()->fInfo->fRect;    }
BxTri*      NameBeziex::GBxTri()      { return GBxCoreGbl()->fInfo->fTri;     }
BxEdge*     NameBeziex::GBxEdge()     { return GBxCoreGbl()->fInfo->fEdge;    }
BxSurface*  NameBeziex::GBxSurface()  { return GBxCoreGbl()->fInfo->fSurface; }
BxVector*   NameBeziex::GBxVector()   { return GBxCoreGbl()->fInfo->fVector;  }


// -----

BxCoreGbl::BxCoreGbl()
{
	fInfo = new BxCoreGblInfo;
}

BxCoreGbl::~BxCoreGbl()
{
	delete fInfo;
}


////////
