
//
// Copyright 2004 Eishin Matsui. All rights reserved.
//
//     first release day : 2004/May/23
//

/* bxCoreSub.h */


#if !defined( BX_CORESUB_H )
#define BX_CORESUB_H

#include "bxCore.h"


class BxCoreSub {
public:
	BxErr
	IsEnable( const BxCore::EdgeVertexInfoBoundRot0& data, bool& isEnable );

	BxErr
	IsEnable( BxCore::SurfaceInfo& data, bool& isEnable );
	BxErr
	SameNormal( const BxVec3& normal0, const BxVec3& normal1, bool& sameNormal, BxVec3* aveNormal = 0 );

private:
	static const double
	MaxSinVertexNormal();
};


#endif // #if !defined( BX_CORESUB_H )

////////
