
//
// Copyright 2004 Eishin Matsui. All rights reserved.
//
//     first release day : 2004/May/23
//

/* divObjWriteVrml.h */


#if !defined( DIVOBJWRITEVRML_H )
#define DIVOBJWRITEVRML_H

#include <stdio.h>

#include "bxObj.h"



class DivObjWriteVrml {
private:
	const char*          fFname;
	BxObj::FaceSetInfo&  fFaceSetInfo;

	FILE*                fFp;

public:
	DivObjWriteVrml( const char* fname, BxObj::FaceSetInfo& faceSetInfo );

	BxErr
	Exec();

private:
	void
	HeaderProc();
	void
	VertexProc();
	void
	NormalProc();
	void
	FaceProc();
	void
	NormalIndexProc();
	void
	FooterProc();
};


#endif  // !defined( DIVOBJWRITEVRML_H )

////////
