
//
// Copyright 2004 Eishin Matsui. All rights reserved.
//
//     first release day : 2004/May/23
//

/* bxEdgeErrChk.h */


#if !defined( BX_EDGEERRCHK_H )
#define BX_EDGEERRCHK_H

#include "bxCore.h"



class BxEdgeErrChk {
public:
	BxVec3  radialVec;
	BxVec3  vertexNormal[ 2 ];

public:
	void
	Conv( const BxCore::EdgeVertexInfoBoundRot0& src );
	BxErr
	IsEnable( bool& isEnable );

private:
	void
	IsEnableVertexPos( bool& isEnable );
	void
	IsEnableEdgeNormal( bool& isEnable );
	BxErr
	IsEnableRadial( bool& isEnable );
};


#endif // if !defined( BX_EDGEERRCHK_H )

////////
