
//
// Copyright 2004 Eishin Matsui. All rights reserved.
//
//     first release day : 2004/May/23
//

/* bxOrgTo3D.h */


#if !defined( BX_ORGTO3D_H )
#define BX_ORGTO3D_H

#include "bxCore.h"


class BxOrgTo3D {
public:
	BxErr
	BHandleVec( const BxVec3 normal[ 2 ], const BxVec3& radialVec, const BxDir& boundRot,
		const bool pairEnableBHandle, const BxVec3 pairNormal[ 2 ], BxVec3& dst );
	BxErr
	IHandleVec( const BxVec3& vNormal, const BxVec3& bNormal, const BxVec3& handleOut,
		const BxVec3& vecHandleToHandle, const BxVec2& srcIHandle, BxVec3& dst );
	BxErr
	TriVHandleVec( const BxVec3& vNormal, const BxVec3& bNormal, const BxVec3& handleOut,
		const BxVec3& vecHandleToHandle, const BxVec2& srcIHandle, const BxVec3& normal, BxVec3& dst );
	BxErr
	BNormal( const BxVec3& vertexNormal, const BxVec3& radialVec, const BxVec3& iHandleAxis,
		const BxVec3& vecHandleToHandle, BxVec3& bNormal );

private:
	BxErr
	BHandleVecSub( const BxVec3 normal[ 2 ], const BxVec3& radialVec, const BxDir& boundRot, BxVec3& dst );
};


#endif // #if !defined( BX_ORGTO3D_H )

////////
