
//
// Copyright 2004 Eishin Matsui. All rights reserved.
//
//     first release day : 2004/May/23
//

/* divObj.h */


#if !defined( DIVOBJ_H )
#define DIVOBJ_H

#include "bxObj.h"



class DivObj {
public:
	BxErr
	Exec( const char* readFname, const int numDiv, const char* writeFname );

private:
	bool
	IsVrmlFile( const char* writeFname );
};


class DivObjMain {
private:
	const BxObj::FaceSetInfo&  fSrc;
	const int                  fNumDiv;
	BxObj::FaceSetInfo&        fDst;

public:
	DivObjMain( const BxObj::FaceSetInfo& src, const int numDiv, BxObj::FaceSetInfo& dst );

	BxErr
	Exec();
};


#endif  // !defined(DIVOBJ_H)

////////
