
//
// Copyright 2004 Eishin Matsui. All rights reserved.
//
//     first release day : 2004/May/23
//

/* divObjWriteObj.h */


#if !defined( DIVOBJWRITEOBJ_H )
#define DIVOBJWRITEOBJ_H

#include <stdio.h>

#include "bxObj.h"



class DivObjWriteObj {
private:
	const char*          fFname;
	BxObj::FaceSetInfo&  fFaceSetInfo;

	FILE*                fFp;

public:
	DivObjWriteObj( const char* fname, BxObj::FaceSetInfo& faceSetInfo );

	BxErr
	Exec();

private:
	void
	VertexProc();
	void
	NormalProc();
	void
	FaceProc();
};


#endif  // !defined( DIVOBJWRITEOBJ_H )

////////
